@charset "UTF-8";
/* Technical Support SudyTech */

/* ========================================
  Font
  (Named Instances)
  250 = ExtraLight  300 = Light     350 = Normal  400 = Regular
  500 = Medium      600 = SemiBold  700 = Bold    900 = Heavy
======================================== */
@font-face {
  font-family: 'syh';
  src: url('../fonts/SourceHanSansCN-VF-3500.woff2') format('woff2-variations'), ;
  /* url('../fonts/SourceHanSansCN-VF.otf') format('opentype'); */
  font-weight: 250 900;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'sys';
  src: url('../fonts/SourceHanSerifCN-VF-3500.woff2') format('woff2-variations'), ;
  /* url('../fonts/SourceHanSerifCN-VF.otf') format('opentype'); */
  font-weight: 250 900;
  font-style: normal;
  font-display: swap;
}


/* ========================================
  Variable
======================================== */
:root {
  --transparent-color: transparent;
  --light-color: #f5f5f5;
  --dark-color: #434343;
  --white-color: #ffffff;
  --black-color: #000000;
  --grey-color: #bfbfbf;
  --danger-color: #db0000;
  --background-color: #f9f9f9;
  --card-color: #fcfcfc;
  --image-color: #f0f0f0;
  --border-color: #d9d9d9;
  --title-color: #000000;
  --text-color: #666666;
  --paragraph-color: #999999;
  --link-color: #0958d9;
  --theme-color: #2964B1;
  --primary-color: #4096ff;
  --secondary-color: #69b1ff;
  --accent-color: #ff9f3a;
  --active-color: #d46b08;
  --hover-color: #2964B1;
  --shadow-color: rgba(0, 0, 0, .15);
  --safe-top: env(safe-area-inset-top, 0px);
  --safe-right: env(safe-area-inset-right, 0px);
  --safe-bottom: env(safe-area-inset-bottom, 0px);
  --safe-left: env(safe-area-inset-left, 0px);
  --scrollbar-size: 6px;
  --radius-size: 8px;
  --gap-size: 24px;
  --mini-size: 12px;
  --small-size: 0.14rem;
  --base-size: 0.16rem;
  --regular-size: 0.18rem;
  --medium-size: 0.2rem;
  --large-size: 24px;
  --huge-size: 28px;
  --giant-size: 36px;
  --ultra-size: 48px;
  --max-size: 56px;
  --wrapper-width: 100%;
  --inner-width: 15rem;
  --screen-width: 100vw;
  --screen-height: 100vh;
  --actual-width: calc(var(--screen-width) - var(--scrollbar-size) - var(--safe-left) - var(--safe-right));
  --actual-height: calc(var(--screen-height) - var(--safe-top) - var(--safe-bottom));
  --shadow-normal: 0 2px 8px var(--shadow-color);
  --transition-duration: .4s;
  --transition-timing: ease-in-out;
  --transition-normal: all var(--transition-duration) var(--transition-timing);
  --font-normal: 'syh';
}


/* ========================================
  Typography
======================================== */
*,
::after,
::before {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  font-family: var(--font-normal, system-ui), 'sys','PingFang SC', 'Hiragino Sans GB', 'Microsoft YaHei', 'Noto Sans CJK SC', 'Segoe UI', Roboto, 'Helvetica Neue', Arial, sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Noto Color Emoji';
  line-height: 1.5;
  -webkit-text-size-adjust: 100%;
  -ms-text-size-adjust: 100%;
  text-size-adjust: 100%;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  overflow-x: hidden;
  tab-size: 4;
}

body {
  position: relative;
  font-size: 13px;
}

div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  font: inherit;
  border: 0;
  font-size: 100%;
  vertical-align: baseline;
}

hr {
  box-sizing: content-box;
  height: 0;
  color: inherit;
  overflow: visible;
  border: 0;
  border-top: 1px solid var(--theme-color, #1677ff);
  margin-block: 1em;
}

pre,
code,
kbd,
samp {
  font-family: 'ui-monospace', 'SFMono-Regular', 'Consolas', 'Liberation Mono', 'Menlo', 'monospace';
  font-size: 1em;
}

abbr[title] {
  border-bottom: none;
  -webkit-text-decoration: underline dotted;
  text-decoration: underline dotted;
}

a {
  background-color: transparent;
  text-decoration: none;
  color: var(--title-color, #333333);
  transition: var(--transition-normal, all .4s ease-in-out);
}

a:hover {
  color: var(--hover-color, #4d772d);
}

b,
strong {
  font-weight: bolder;
}

small {
  font-size: 80%;
}

sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}

sub {
  bottom: -.25em;
}

sup {
  top: -.5em;
}

img {
  border-style: none;
  vertical-align: middle;
  max-width: 100%;
  height: auto;
}

button,
input,
optgroup,
select,
textarea {
  font-family: inherit;
  font-size: 100%;
  margin: 0;
  line-height: inherit;
  border: 1px solid currentColor;
  color: var(--text-color, #666666);
  background-color: var(--white-color, #ffffff);
  border-radius: var(--radius-size, 8px);
  padding: .375em .75em;
}

button,
input {
  overflow: visible;
}

button,
select {
  text-transform: none;
}

fieldset {
  border: 1px solid currentColor;
  margin-block: 1em;
  margin-inline: 0;
  padding-block: .35em .75em .625em;
  border-radius: var(--radius-size, 8px);
}

legend {
  box-sizing: border-box;
  color: inherit;
  display: table;
  max-width: 100%;
  padding: 0 .5em;
  white-space: normal;
}

progress {
  display: inline-block;
  vertical-align: baseline;
}

textarea {
  overflow: auto;
  vertical-align: top;
  resize: vertical;
}

ol,
ul {
  list-style: none;
  margin: 0;
}

dl {
  margin-block: 1em;
}

dd {
  margin-inline-start: 0;
}

dl dl,
dl ol,
dl ul,
ol dl,
ol ol,
ol ul,
ul dl,
ul ol,
ul ul {
  margin: 0;
}

table {
  text-indent: 0;
  border-color: inherit;
  border-collapse: collapse;
  border-spacing: 0;
  width: 100%;
  margin-block: 1em;
}

td,
th {
  padding: .5em;
  border: 1px solid var(--border-color);
}

iframe {
  width: 100%;
  height: 100%;
}

dialog {
  background-color: var(--white-color, #ffffff);
  border: 1px solid var(--border-color, #d9d9d9);
  color: var(--title-color, #333333);
  padding: 1em;
  width: max-content;
  max-width: 90%;
  box-shadow: 0 5px 15px var(--shadow-color, rgba(0, 0, 0, .15));
  border-radius: var(--radius-size, 8px);
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

dialog:not([open]) {
  display: none;
}

summary {
  display: list-item;
  cursor: pointer;
}

template {
  display: none;
}

details,
audio,
video,
canvas,
article,
aside,
figcaption,
figure,
footer,
header,
main,
hgroup,
menu,
nav,
section {
  display: block;
}

audio:not([controls]) {
  display: none;
  height: 0;
}

svg:not(:root) {
  overflow: hidden;
}

blockquote,
q {
  quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
  content: '';
  content: none;
}


/* ========================================
  Accessibility
======================================== */
:focus:not(:focus-visible) {
  outline: none;
}

:focus-visible {
  outline: 3px solid var(--theme-color, #1677ff);
  outline-offset: 2px;
}

a:focus-visible,
button:focus-visible,
select:focus-visible,
textarea:focus-visible {
  box-shadow: 0 0 0 2px rgba(255, 255, 255, .8), 0 0 0 5px var(--theme-color, #1677ff);
  outline: none;
}

main,
h1[id],
h2[id],
h3[id],
h4[id],
h5[id],
h6[id] {
  scroll-margin-top: 2em;
}

label[for] {
  cursor: pointer;
  margin-inline-end: .5em;
  font-weight: 500;
}

:disabled,
[aria-disabled="true"] {
  opacity: .8;
  cursor: not-allowed;
  background-color: var(--light-color, #f5f5f5);
  border-color: var(--grey-color, #bfbfbf);
  pointer-events: none;
}

input:invalid,
textarea:invalid {
  border-color: var(--danger-color, #db0000);
}

input:invalid:focus-visible,
textarea:invalid:focus-visible {
  outline-color: var(--danger-color, #db0000);
  box-shadow: 0 0 0 2px rgba(255, 255, 255, .8), 0 0 0 5px var(--danger-color, #db0000);
}

.sr-only {
  position: absolute !important;
  width: 1px !important;
  height: 1px !important;
  padding: 0 !important;
  margin: -1px !important;
  overflow: hidden !important;
  clip: rect(0, 0, 0, 0) !important;
  white-space: nowrap !important;
  border: 0 !important;
  clip-path: inset(50%) !important;
}

@media (prefers-contrast: more) {

  a,
  button {
    outline-width: 4px;
  }

  button,
  input,
  select,
  textarea {
    border-width: 2px;
  }
}

@media (prefers-color-scheme: dark) {
  :focus-visible {
    outline-color: var(--primary-color, #4096ff);
  }

  button,
  input,
  optgroup,
  select,
  textarea {
    background-color: #242424;
    color: #e5e5e5;
  }
}

@media (prefers-reduced-motion: reduce) {
  * {
    animation-duration: .01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: .01ms !important;
    scroll-behavior: auto !important;
  }
}


/* ========================================
  Selector
======================================== */
[type='button'],
[type='reset'],
[type='submit'],
button {
  -webkit-appearance: button;
  appearance: button;
  border: none;
  padding: .375em .75em;
  cursor: pointer;
}

[type='button']::-moz-focus-inner,
[type='reset']::-moz-focus-inner,
[type='submit']::-moz-focus-inner,
button::-moz-focus-inner {
  border-style: none;
  padding: 0;
}

[type='button']:-moz-focusring,
[type='reset']:-moz-focusring,
[type='submit']:-moz-focusring,
button:-moz-focusring {
  outline: 1px dotted ButtonText;
}

[type='checkbox'],
[type='radio'] {
  box-sizing: border-box;
  padding: 0;
  width: 1em;
  height: 1em;
  margin-inline-end: .5em;
}

[type='number']::-webkit-inner-spin-button,
[type='number']::-webkit-outer-spin-button {
  height: auto;
}

[type='search'] {
  -webkit-appearance: textfield;
  appearance: textfield;
  outline-offset: -2px;
}

[type='search']::-webkit-search-decoration {
  -webkit-appearance: none;
  appearance: none;
}

[type='color'] {
  background: inherit;
  padding: .25em;
  width: 2em;
  height: 2em;
}

[hidden],
[aria-hidden="true"] {
  display: none;
}


/* ========================================
  Pseudo
======================================== */
::-webkit-file-upload-button {
  -webkit-appearance: button;
  appearance: button;
  font: inherit;
}

::-moz-focus-inner {
  border: 0;
}

:-moz-focusring {
  outline: 1px dotted ButtonText;
}

:-moz-ui-invalid {
  box-shadow: none;
}

:-webkit-autofill {
  box-shadow: 0 0 0 1000px var(--transparent-color, transparent) inset;
  -webkit-text-fill-color: var(--transparent-color, transparent);
}

::-webkit-scrollbar {
  width: var(--scrollbar-size, 6px);
  height: var(--scrollbar-size, 6px);
  background-color: var(--transparent-color, transparent);
}

::-webkit-scrollbar-track {
  border-radius: 10px;
  box-shadow: inset 0 0 var(--scrollbar-size, 6px) rgba(0, 0, 0, 0);
  background-color: var(--transparent-color, transparent);
}

::-webkit-scrollbar-thumb {
  border-radius: 10px;
  box-shadow: inset 0 0 var(--scrollbar-size, 6px) rgba(0, 0, 0, 0);
  background-color: rgba(144, 147, 153, .4);
  transition: background-color .3s ease-in-out;
}

::-webkit-scrollbar-thumb:hover {
  background-color: rgba(144, 147, 153, .6);
}

::-webkit-input-placeholder {
  color: var(--text-color, #666666);
  opacity: 1;
}

::-moz-placeholder {
  color: var(--text-color, #666666);
  opacity: 1;
}

::-ms-input-placeholder {
  color: var(--text-color, #666666);
  opacity: 1;
}

::placeholder {
  color: var(--text-color, #666666);
  opacity: 1;
}

::selection {
  background-color: var(--theme-color, #1677ff);
  color: var(--white-color, #ffffff);
}

::-moz-selection {
  background-color: var(--theme-color, #1677ff);
  color: var(--white-color, #ffffff);
}


/* ========================================
  RTL
======================================== */
[dir="rtl"] {
  font-family: 'Tajawal', 'Noto Sans Arabic', 'Noto Sans Hebrew', 'Vazir', 'Segoe UI', system-ui, sans-serif;
  direction: rtl;
  text-align: end;
}

[dir="rtl"] a {
  padding-inline-start: .5em;
  padding-inline-end: 0;
}

[dir="rtl"] blockquote {
  margin-block: 1em;
  margin-inline-start: 2em;
  margin-inline-end: 0;
  padding-inline-start: 1em;
  padding-inline-end: 0;
  border-inline-start: none;
  border-inline-end: 4px solid var(--secondary-color, #69b1ff);
}

[dir="rtl"] pre {
  direction: ltr;
  unicode-bidi: bidi-override;
  text-align: start;
}

[dir="rtl"] input,
[dir="rtl"] textarea,
[dir="rtl"] select {
  padding-inline-start: .75em;
  padding-inline-end: .75em;
  text-align: end;
}

[dir="rtl"] [type='checkbox'],
[dir="rtl"] [type='radio'] {
  margin-left: .5em;
  margin-right: 0;
}

[dir="rtl"] label[for] {
  margin-inline-start: .5em;
  margin-inline-end: 0;
}

[dir="rtl"] ol,
[dir="rtl"] ul,
[dir="rtl"] dd {
  padding-inline-start: 0;
  padding-inline-end: 1.5em;
  margin-inline-start: 0;
  margin-inline-end: 1.5em;
}


/* ========================================
  Animation
======================================== */
@-webkit-keyframes bouncedelay {

  0%,
  80%,
  100% {
    -webkit-transform: scale(0);
  }

  40% {
    -webkit-transform: scale(1);
  }
}

@keyframes bouncedelay {

  0%,
  80%,
  100% {
    transform: scale(0);
    -webkit-transform: scale(0);
  }

  40% {
    transform: scale(1);
    -webkit-transform: scale(1);
  }
}


/* ========================================
  Definition
======================================== */
.none {
  display: none;
}

.hidden {
  visibility: hidden;
}

.clear {
  width: 100%;
  height: 0;
  line-height: 0;
  font-size: 0;
  overflow: hidden;
  clear: both;
  display: block;
  _display: inline;
}

.clearfix {
  display: block;
}

.clearfix:after {
  clear: both;
  content: '';
  display: block;
  height: 0;
  visibility: hidden;
}

.flowroot {
  display: flow-root;
}

.unstyle {
  list-style: none;
}

.wrapper {
  width: 100%;
  max-width: var(--wrapper-width, 1920px);
}

.inner {
  width: 15rem;
  /* max-width: var(--inner-width); */
  margin: 0 auto;
}

.prevent-scroll {
  overflow: hidden;
  width: var(--screen-width, 100vw);
  height: var(--screen-height, 100vh);
}

.line1 {
  text-overflow: -o-ellipsis-lastline;
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
}

.line2 {
  text-overflow: -o-ellipsis-lastline;
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
}

.line3 {
  text-overflow: -o-ellipsis-lastline;
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
}

.line4 {
  text-overflow: -o-ellipsis-lastline;
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 4;
  -webkit-box-orient: vertical;
}

.fix-top {
  padding-top: 100vh;
  position: relative;
  transition: all .7s cubic-bezier(.5, 0, .2, 1) 0s;
  -webkit-transition: all .7s cubic-bezier(.5, 0, .2, 1) 0s;
  -moz-transition: all .7s cubic-bezier(.5, 0, .2, 1) 0s;
  -ms-transition: all .7s cubic-bezier(.5, 0, .2, 1) 0s;
  -o-transition: all .7s cubic-bezier(.5, 0, .2, 1) 0s;
  z-index: -1
}

.fix-top.fixed {
  padding-top: 0
}


/* ========================================
  Noscript
======================================== */
.javascript-overlay {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  width: 100vw;
  height: 100vh;
  background-color: #f5faff;
  overflow: hidden;
  pointer-events: auto;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  z-index: 99999;
}

.javascript-disabled {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  height: var(--screen-height, 100vh);
  font-size: 16px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  z-index: 100000;
}

.javascript-disabled>div {
  margin: 0 3em;
}

.javascript-disabled__cover {
  max-width: 360px;
}

.javascript-disabled__cover img {
  width: 100%;
  object-fit: cover;
  -webkit-user-drag: none
}

.javascript-disabled__content {
  display: flex;
  flex-direction: column;
}

.javascript-disabled__content>* {
  margin: 16px 0;
}

.javascript-disabled__title {
  display: flex;
  align-items: center;
  font-size: 40px;
  line-height: 1.75;
  color: #042164;
}

.javascript-disabled__dangerous {
  color: #db0000;
  color: var(--danger-color, #db0000);
  margin-left: .25em;
}

.javascript-disabled__text {
  font-size: 18px;
  font-size: var(--regular-size, 18px);
  line-height: 2;
  padding-bottom: 1em;
  color: #585858;
}

.javascript-disabled__refresh {
  align-self: flex-start;
  line-height: 1.5;
  padding: .5em 1.5em;
  background-color: #1145C6;
  color: #ffffff;
  color: var(--white-color, #ffffff);
  border-radius: 20px;
  border-radius: calc(var(--radius-size, 8px) * 2.5);
  transition: background-color .3s ease, color .3s ease;
  cursor: pointer;
}

.javascript-disabled__refresh:hover {
  background-color: #ff9f3a;
  background-color: var(--accent-color, #ff9f3a);
  color: #ffffff;
  color: var(--white-color, #ffffff);
}


/* ========================================
  Support
======================================== */
@supports (-moz-appearance: none) {
  * {
    scrollbar-color: rgba(144, 147, 153, .4) var(--transparent-color, transparent);
    scrollbar-width: thin;
  }
}

@supports (inset: 0) {
  .javascript-overlay {
    top: unset;
    left: unset;
    bottom: unset;
    right: unset;
    inset: 0;
  }
}